org.apache.lucene.monitor

## Interface TermFilteredPresearcher.DocumentQueryBuilder

Enclosing class:
  TermFilteredPresearcher

    protected static interface TermFilteredPresearcher.DocumentQueryBuilder

Constructs a document disjunction from a set of terms

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addTerm(String field, BytesRef term)` Add a term from this document
`Query` `build()`

### Method Detail

#### addTerm

    void addTerm(String field,
                 BytesRef term)
          throws IOException

Add a term from this document

Throws:
  `IOException`

#### build

    Query build()

Returns:
  the final Query